Package org.apache.commons.math3.stat.regression

# Interface MultipleLinearRegression

All Known Implementing Classes:
  `AbstractMultipleLinearRegression`, `GLSMultipleLinearRegression`, `OLSMultipleLinearRegression`

public interface MultipleLinearRegression
The multiple linear regression can be represented in matrix-notation.

      y=X*b+u

where y is an `n-vector` regressand, X is a `[n,k]` matrix whose `k` columns are called regressors, b is `k-vector` of regression parameters and `u` is an `n-vector` of error terms or residuals. The notation is quite standard in literature, cf eg Davidson and MacKinnon, Econometrics Theory and Methods, 2004.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`double`
`estimateRegressandVariance()`
Returns the variance of the regressand, ie Var(y).
`double[]`
`estimateRegressionParameters()`
Estimates the regression parameters b.
`double[]`
`estimateRegressionParametersStandardErrors()`
Returns the standard errors of the regression parameters.
`double[][]`
`estimateRegressionParametersVariance()`
Estimates the variance of the regression parameters, ie Var(b).
`double[]`
`estimateResiduals()`
Estimates the residuals, ie u = y - X*b.

## Method Details

### estimateRegressionParameters

double[] estimateRegressionParameters()
Estimates the regression parameters b.

Returns:
  The [k,1] array representing b

### estimateRegressionParametersVariance

double[][] estimateRegressionParametersVariance()
Estimates the variance of the regression parameters, ie Var(b).

Returns:
  The [k,k] array representing the variance of b

### estimateResiduals

double[] estimateResiduals()
Estimates the residuals, ie u = y - X*b.

Returns:
  The [n,1] array representing the residuals

### estimateRegressandVariance

double estimateRegressandVariance()
Returns the variance of the regressand, ie Var(y).

Returns:
  The double representing the variance of y

### estimateRegressionParametersStandardErrors

double[] estimateRegressionParametersStandardErrors()
Returns the standard errors of the regression parameters.

Returns:
  standard errors of estimated regression parameters